IMG00311.JPG=Mantle
IMG_0021.JPG=Dad playing golf
Danielle_Ear.JPG=Danielle's new piercing ... bleeding.
IMG00313.JPG=18 1/2 lb turkey! Dinner for 5.
IMG00309.JPG=Christmas lights on the house!
IMG_0001.JPG=The fireplace, and there's the shopvac again
IMG00013.jpg=Toasting Marshmallows
IMG00314.JPG=Dad cooking
IMG_0007.JPG=The fireplace & shopvac
IMG_0005.JPG=The fireplace, and my shopvac
IMG_0006.JPG=The tree complete
IMG00312.JPG=The smoker.
IMG_0002.JPG=The tree in progress & Dad
IMG_0010.JPG=Fireplace
IMG_0009.JPG=Mantle
IMG_0008.JPG=Our Christmas tree!
IMG_0003.JPG=The tree in progress
IMG00009.jpg=Urban camping
My_Redneck_Friends.JPG=More urban camping.
IMG_0004.JPG=Fireplace
